Support » Plugin: WPS Hide Login » Changes in the file wps-hide-login/classes/plugin.php detected by Wordfence

  • Resolved Francesco d’Elia

    (@newmediologo)


    Hi.. This morning I’ve received an alert from Wordfence that detecs a change in the file wps-hide-login/classes/plugin.php several lines are missing.. Any explaination for that issue..? Thanks

Viewing 15 replies - 1 through 15 (of 15 total)
  • Plugin Author NicolasKulka

    (@nicolaskulka)

    Hello,

    I have a new version 1.3.4.2, yesterday maybe explaination for that issue ?

    My version is 1.3.4.2

    I’ve download a fresh copy of the plugin and checked the file..

    The lines from 276 to 286 results hidden and Wordfence marks these lines as missing

    The line 302 results missed..

    Did I can reload the file..?

    Thanks

    Plugin Author NicolasKulka

    (@nicolaskulka)

    replace the plugin and you will not have the problem.

    Replace all the plugin or just the file wps-hide-login/classes/plugin.php? I’m afraid that if I replace the plugin I cannot login..

    Plugin Author NicolasKulka

    (@nicolaskulka)

    Replace all the plugin

    Overwrite by http://FTP..?

    Plugin Author NicolasKulka

    (@nicolaskulka)

    yes, or delete plugin in appearance > plugins and re install WPS Hide Login

    Ok @nikolaskulka, replaced the plugin by FTP and the problem appears solved.. Thanks

    Plugin Author NicolasKulka

    (@nicolaskulka)

    With pleasure.

    If you can leave a review 🙂

    I’m confused so you are saying you did:
    Remove these lines:

    276            $details_url_wpscleaner = add_query_arg( 	 	 
    277	                   array( 	 	 
    278	                       'tab'      => 'plugin-information', 	 	 
    279	                       'plugin'   => 'wps-cleaner', 	 	 
    280	                       'TB_iframe' => true, 	 	 
    281	                       'width'    => 722, 	 	 
    282	                       'height'   => 949, 	 	 
    283	                   ), 	 	 
    284	                   admin_url( 'plugin-install.php' ) 	 	 
    285	               ); 	 	 
    286	

    and this Line:
    302 $out .= ', ' . __( 'the plugin', 'wpserveur-hide-login' ) . ' <a href="' . $details_url_wpscleaner . '" class="thickbox open-plugin-details-modal">' . __( 'WPS Cleaner', 'wpserveur-hide-login' ) . '</a>';

    and we can leave it alone?
    If thats the case please update wordpress.org so wordfence doesn’t find differences and alert us.
    thanks
    Mitch

    Plugin Author NicolasKulka

    (@nicolaskulka)

    I updated these lines in the latest version.

    WordFence must have a problem so that it makes you an alert on the update via WP.org of a plugin.

    I just got this alert from Wordfence also.

    Warnings:

    * Modified plugin file: wp-content/plugins/wps-hide-login/classes/plugin.php

    Plugin Author NicolasKulka

    (@nicolaskulka)

    WordFence must have a problem so that it makes you an alert on the update via WP.org of a plugin.

    It seems that the problem isn’t entirely resolved. I also received the same Wordfence alert:
    Modified plugin file: wp-content/plugins/wps-hide-login/classes/plugin.php

    I uninstalled, then reinstalled it, which seemed to solve the issue on 1 site. But on the other, it looks like my host blocked it and hid it because I no longer saw it in my plugins folder. I reinstalled again a few minutes ago and the same thing happened. Are there any bugs with WPS Hide Login that is prompting my host to block its use?

Viewing 15 replies - 1 through 15 (of 15 total)
  • The topic ‘Changes in the file wps-hide-login/classes/plugin.php detected by Wordfence’ is closed to new replies.